    # File lib/termtter/client.rb, line 24
          def plug(name, options = {})
            if Array === name # Obviously `name.respond_to?(:each)` is better, but for 1.8.6 compatibility we cannot.
              name.each {|i| plug(i, options) }
              return
            end

            name = name.to_s

            return if config.system.disable_plugins.include?(name.gsub('defaults/', ''))

            name_sym = name.gsub(/-/, '_').to_sym
            options.each do |key, value|
              config.plugins.__refer__(name_sym).__assign__(key.to_sym, value)
            end
            load "plugins/#{name}.rb"
          rescue Exception => e
            Termtter::Client.handle_error(e)
          end